package net.sabi.pester;

import danger.app.Event;
import danger.ui.AlertWindow;
import danger.util.DEBUG;

public class AlarmAlertWindow extends AlertWindow {
    boolean mShowTonePlaying;

    protected void startShowTone() {
	super.startShowTone();
	mShowTonePlaying = true;
    }

    protected void stopShowTone() {
	super.stopShowTone();
	mShowTonePlaying = false;
    }
    
    public boolean blocksKeyGuard() {
	return mShowTonePlaying;
    }

    public boolean eventRawKeyDown(int keycode, Event event) {
	// this also covers widgets, dirpad, etc.
	if (mShowTonePlaying)
	    stopShowTone();
	return super.eventRawKeyDown(keycode, event);
    }
}
